Enable RemexHTML on kowiki, mznwiki, warwiki, cebwiki, nlwiki
Closed, ResolvedPublic

Description

Special:LintErrors on kowiki, mznwiki, warwiki show that the lint errors in high priority categories are all fairly small relative to the size of the wikis.

Special:LintErrors on nlwiki shows that there are zero to very few lint errors in the Main namespace for all high priority categories.

Special:LintErrors on cebwiki shows a large number of errors in the deletable-table-tag category, but User:Lsj has been running a bot to fix them all and thinks it is okay to make the switch now.

I plan to make the switch on March 14, 2018 in the 10-11 am PDT morning swat slot.

ssastry created this task.Mar 4 2018, 7:08 PM
ssastry triaged this task as Normal priority.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 4 2018, 7:08 PM
revi moved this task from Incoming to Radar on the User-revi board.
ssastry renamed this task from Enable RemexHTML on kowiki, mznwiki, warwiki to Enable RemexHTML on kowiki, mznwiki, warwiki, cebwiki.Mar 5 2018, 1:44 PM

I checked with User:Lsj @ https://ceb.wikipedia.org/wiki/Hisgot_sa_Gumagamit:Lsj#Replacing_Tidy_with_RemexHtml since they are fixing pages on cebwiki via a bot, and it has been working through the backlog gradually.

ssastry renamed this task from Enable RemexHTML on kowiki, mznwiki, warwiki, cebwiki to Enable RemexHTML on kowiki, mznwiki, warwiki, cebwiki, nlwiki.Mar 5 2018, 4:07 PM
ssastry updated the task description. (Show Details)
ssastry updated the task description. (Show Details)
ssastry added a subscriber: Lsj.Mar 5 2018, 4:43 PM

A week ago I suggested for nlwiki to move to Remex. No objections so far, so please go ahead!

A week ago I suggested for nlwiki to move to Remex. No objections so far, so please go ahead!

Great! Thanks. :-)

ssastry claimed this task.Mar 5 2018, 6:31 PM

Change 416489 had a related patch set uploaded (by Subramanya Sastry; owner: Subramanya Sastry):
[operations/mediawiki-config@master] Enable RemexHTML on kowiki, mznwiki, warwiki, cebwiki, nlwiki

https://gerrit.wikimedia.org/r/416489

Change 416489 merged by jenkins-bot:
[operations/mediawiki-config@master] Enable RemexHTML on kowiki, mznwiki, warwiki, cebwiki, nlwiki

https://gerrit.wikimedia.org/r/416489

ssastry closed this task as Resolved.Mar 14 2018, 5:29 PM